Subject: Re: [PATCH 4.14] netfilter: nf_tables: fix register ordering

From: Pablo Neira Ayuso <[email-masked]>
Date: Tue, 23 May 2023 10:45:26 +0200

On Mon, May 22, 2023 at 07:59:41PM -0700, Andrew Paniakin wrote:
> From: Florian Westphal <[email-masked]>
> 
> commit d209df3e7f7002d9099fdb0f6df0f972b4386a63 upstream
> 
> [ We hit the trace described in commit message with the
> kselftest/nft_trans_stress.sh. This patch diverges from the upstream one
> since kernel 4.14 does not have following symbols:
> nft_chain_filter_init, nf_tables_flowtable_notifier ]
> 
> We must register nfnetlink ops last, as that exposes nf_tables to
> userspace.  Without this, we could theoretically get nfnetlink request
> before net->nft state has been initialized.

I have to send pending batch of updates for -stable 4.14.

I take this patch and I will pass it on -stable maintainers.

Thanks.